MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions
sc::GetLongOpt Class Reference

List of all members.

## Classes

struct | Cell

## Public Types

enum | OptType { NoValue, OptionalValue, MandatoryValue }

## Public Member Functions

| GetLongOpt (const char optmark= '-')
int | parse (int argc, char *const *argv)
int | parse (char *const str, char *const p)
int | enroll (const char *const opt, const OptType t, const char *const desc, const char *const val)
const char * | retrieve (const char *const opt) const
void | usage (std::ostream &outfile=std::cout) const
void | usage (const char *str)

The documentation for this class was generated from the following file:

- GetLongOpt.h